using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/accounts/{account_id}/transactions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/accounts/{account_id}/transactions")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()
import Foundation
let url = URL(string: "https://api.meow.com/v1/accounts/{account_id}/transactions")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/accounts/{account_id}/transactions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/accounts/{account_id}/transactions")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()
import Foundation
let url = URL(string: "https://api.meow.com/v1/accounts/{account_id}/transactions")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
Your Meow API key, sent in the x-api-key header for authentication.
Scopes
accounts:transactions
Headers
x-entity-id
string<uuid>
Optional entity_id to scope requests to a specific entity.
Path Parameters
account_id
string
required
The ID of the account.
Query Parameters
start_time
string | null
Start time for filtering transactions, in ISO 8601 format.
Maximum string length: 100
end_time
string | null
End time for filtering transactions, in ISO 8601 format.
Maximum string length: 100
offset
string | null
Opaque offset identifier for pagination. Use the nextOffset from a previous response.
Maximum string length: 100
limit
integer | null
default:10
Maximum number of transactions to return.
Required range: 1 <= x <= 100
transfer_method
enum<string> | null
Filter to a specific transfer method.
Available options:
INCOMING_ACH,
INCOMING_WIRE,
OUTGOING_ACH,
OUTGOING_WIRE,
CHECK_DEPOSIT,
BOOK_TRANSFER,
ISSUED_CHECK,
HOLD,
CARD,
INTEREST,
MANUAL_POST,
INTERNATIONAL_PAYMENT,
INCOMING_INSTANT_PAYMENT,
OUTGOING_INSTANT_PAYMENT,
MEOW_INSTANT_NETWORK,
INTERNATIONAL_PAYMENT_FEE
deposit_tx_hash
string | null
Find the deposit with this on-chain transaction hash, as reported in a crypto_transfer webhook. Searches every status unless status is also given. Valid for global and bank accounts.
Maximum string length: 255
status
enum<string>[] | null
Filter to one or more transaction statuses, as a list, e.g. ["PENDING", "POSTED"]. Omit to return every status. AUTHORIZATION and MEMO are accepted but currently return no results.
The account's transactions. The transaction shape depends on the account type; this is empty when there are no transactions to return.
DepositTransactionModel
InvestmentTransactionModel
DigitalWalletTransactionModel
Show child attributes
page
PageMetadata · object | null
Metadata for pagination.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Meow API","colors":{"primary":"#387BF0","light":"#5A93F5","dark":"#387BF0"},"logo":{"light":"https://mintcdn.com/meow-ab0ed57b/GIWcUFPo4B-P_U1J/images/logo-light.svg?fit=max\u0026auto=format\u0026n=GIWcUFPo4B-P_U1J\u0026q=85\u0026s=057d9783f57a5ead55c30ba9de7882ee","dark":"https://mintcdn.com/meow-ab0ed57b/GIWcUFPo4B-P_U1J/images/logo-dark.svg?fit=max\u0026auto=format\u0026n=GIWcUFPo4B-P_U1J\u0026q=85\u0026s=0d8c6ea153fb6b7b3d660604a533dace"},"favicon":"https://mintcdn.com/meow-ab0ed57b/w0nS8HYY-dA9Eqof/images/favicon.ico?fit=max\u0026auto=format\u0026n=w0nS8HYY-dA9Eqof\u0026q=85\u0026s=e7a8a4215d1a7c8c7e19749f03726d66","api":{"openapi":"openapi.yaml","playground":{"display":"interactive"},"examples":{"languages":["bash","python","javascript","go","java","ruby","php","node","csharp","kotlin","swift","rust","dart","powershell"],"prefill":true}},"navbar":{"links":[{"href":"mailto:support@meow.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.meow.com/signin"}},"footer":{"socials":{"website":"https://meow.com"}},"contextual":{"options":["copy","chatgpt","claude","cursor","mcp"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Blog","icon":"newspaper","href":"https://meow.com/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"meow-ab0ed57b","hasAudioNarration":false,"actualSubdomain":"meow-ab0ed57b","customDomains":["developer.meow.com"],"gitSource":{"type":"github","owner":"joinmeow","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afe0a79214900bed78bd705","clientVersion":"0.0.4248","searchFilterCounts":[{"language":"default","tag":"API Reference","count":170},{"language":"default","tag":"Core API","count":70},{"language":"default","tag":"Billpay","count":26},{"language":"default","tag":"Cards","count":19},{"language":"default","tag":"Onboarding","count":19},{"language":"default","tag":"Guides","count":19},{"language":"default","tag":"Subscriptions","count":15},{"language":"default","tag":"Billing","count":14},{"language":"default","tag":"Transfers","count":14},{"language":"default","tag":"Deliveries","count":9}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@meow.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"api-reference/core-api/list-transactions-for-an-account","slug":"/api-reference/core-api/list-transactions-for-an-account","pageMetadata":{"title":"List Transactions for an Account","openapi":"GET /accounts/{account_id}/transactions","description":"Returns a list of transactions for a specified account.","href":"/api-reference/core-api/list-transactions-for-an-account"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns a list of transactions for a specified account.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List Transactions for an Account","openapi":"GET /accounts/{account_id}/transactions","description":"Returns a list of transactions for a specified account.","href":"/api-reference/core-api/list-transactions-for-an-account"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Transactions"],"summary":"List Transactions for an Account","description":"Returns a list of transactions for a specified account.","operationId":"list_account_transactions_accounts__account_id__transactions_get","parameters":["42632098-0d0f-409b-a4ed-d2840b681cdc","ce798c89-4188-4d62-a8ef-c2b96a22b2ca","f4b16b0c-0f56-457b-8704-da0529671339","827bfd52-bb83-40ba-8e25-c4afdf671395","16552d64-1aca-44f3-9a08-648660544260","8b70b3ab-7473-40a1-9da4-b73cc8d2a178","d0d7dc62-c9ad-4fc0-b3c6-26697bb1f56b","4e662424-0322-4c77-9500-5735275e99eb","1a672997-c242-4ff4-b2b1-0b9118497549"],"responses":{"200":"c6ba54ed-e227-4d2e-9e99-8c0e90a4ef6c","400":"eb168920-c70a-4880-a767-5391979fb541","401":"1b8a2762-dbae-4d92-b559-b720d01232a1","403":"a9d3a598-ea7c-4084-b9f3-e36b6188f04f","429":"f6da3922-847e-435c-99e5-4831eb54e1b8"},"security":["b143499e-d063-43ba-9e13-23119d926142"],"method":"get","type":"path","servers":["3821b52a-a908-400a-8ac6-98338b84f3fb","906283fa-cbb1-4ccc-9645-f62eb49ac66c","6fe963f8-cf1f-416c-a23f-66c827e09e0c"],"path":"/accounts/{account_id}/transactions","baseUrlOptions":["https://api.meow.com/v1","https://api.sandbox.meow.com/v1","https://api.dev.meow.com/v1"],"title":"List Transactions for an Account","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","go","java","ruby","php","node","csharp","kotlin","swift","rust","dart","powershell"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[]},"dependencies":{"parameters":{"42632098-0d0f-409b-a4ed-d2840b681cdc":{"name":"account_id","in":"path","required":true,"schema":{"type":"string","description":"The ID of the account.","title":"Account Id","isRequired":true,"uniqueKey":"","typeLabel":"string"},"description":"The ID of the account."},"ce798c89-4188-4d62-a8ef-c2b96a22b2ca":{"name":"start_time","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Start Time","description":"Start time for filtering transactions, in ISO 8601 format.","maxLength":100,"minLength":0,"uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Start Time","description":"Start time for filtering transactions, in ISO 8601 format.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"Start time for filtering transactions, in ISO 8601 format."},"f4b16b0c-0f56-457b-8704-da0529671339":{"name":"end_time","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"End Time","description":"End time for filtering transactions, in ISO 8601 format.","maxLength":100,"minLength":0,"uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"End Time","description":"End time for filtering transactions, in ISO 8601 format.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"End time for filtering transactions, in ISO 8601 format."},"827bfd52-bb83-40ba-8e25-c4afdf671395":{"name":"offset","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Offset","description":"Opaque offset identifier for pagination. Use the `nextOffset` from a previous response.","maxLength":100,"uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Offset","description":"Opaque offset identifier for pagination. Use the `nextOffset` from a previous response.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"Opaque offset identifier for pagination. Use the `nextOffset` from a previous response."},"16552d64-1aca-44f3-9a08-648660544260":{"name":"limit","in":"query","required":false,"schema":{"oneOf":[{"type":"integer","title":"Limit","description":"Maximum number of transactions to return.","default":10,"maximum":100,"minimum":1,"uniqueKey":"oneOf.0","typeLabel":"integer"},{"type":"null","title":"Limit","description":"Maximum number of transactions to return.","default":10,"uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"integer | null"},"description":"Maximum number of transactions to return."},"8b70b3ab-7473-40a1-9da4-b73cc8d2a178":{"name":"transfer_method","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"BankingTransactionMethod","description":"Filter to a specific transfer method.","enum":["INCOMING_ACH","INCOMING_WIRE","OUTGOING_ACH","OUTGOING_WIRE","CHECK_DEPOSIT","BOOK_TRANSFER","ISSUED_CHECK","HOLD","CARD","INTEREST","MANUAL_POST","INTERNATIONAL_PAYMENT","INCOMING_INSTANT_PAYMENT","OUTGOING_INSTANT_PAYMENT","MEOW_INSTANT_NETWORK","INTERNATIONAL_PAYMENT_FEE"],"x-enum-varnames":["INCOMING_ACH","INCOMING_WIRE","OUTGOING_ACH","OUTGOING_WIRE","CHECK_DEPOSIT","BOOK_TRANSFER","ISSUED_CHECK","HOLD","CARD","INTEREST","MANUAL_POST","INTERNATIONAL_PAYMENT","INCOMING_INSTANT_PAYMENT","OUTGOING_INSTANT_PAYMENT","MEOW_INSTANT_NETWORK","INTERNATIONAL_PAYMENT_FEE"],"uniqueKey":"oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","title":"Transfer Method","description":"Filter to a specific transfer method.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring> | null"},"description":"Filter to a specific transfer method."},"d0d7dc62-c9ad-4fc0-b3c6-26697bb1f56b":{"name":"deposit_tx_hash","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Deposit Tx Hash","description":"Find the deposit with this on-chain transaction hash, as reported in a crypto_transfer webhook. Searches every status unless `status` is also given. Valid for global and bank accounts.","maxLength":255,"uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Deposit Tx Hash","description":"Find the deposit with this on-chain transaction hash, as reported in a crypto_transfer webhook. Searches every status unless `status` is also given. Valid for global and bank accounts.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"Find the deposit with this on-chain transaction hash, as reported in a crypto_transfer webhook. Searches every status unless `status` is also given. Valid for global and bank accounts."},"4e662424-0322-4c77-9500-5735275e99eb":{"name":"status","in":"query","required":false,"schema":{"oneOf":[{"type":"array","items":{"type":"string","enum":["AUTHORIZATION","MEMO","PENDING","POSTED"],"title":"TransactionStatus","uniqueKey":"oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"title":"Status","description":"Filter to one or more transaction statuses, as a list, e.g. `[\"PENDING\", \"POSTED\"]`. Omit to return every status. `AUTHORIZATION` and `MEMO` are accepted but currently return no results.","uniqueKey":"oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","title":"Status","description":"Filter to one or more transaction statuses, as a list, e.g. `[\"PENDING\", \"POSTED\"]`. Omit to return every status. `AUTHORIZATION` and `MEMO` are accepted but currently return no results.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>[] | null"},"description":"Filter to one or more transaction statuses, as a list, e.g. `[\"PENDING\", \"POSTED\"]`. Omit to return every status. `AUTHORIZATION` and `MEMO` are accepted but currently return no results."},"1a672997-c242-4ff4-b2b1-0b9118497549":{"name":"x-entity-id","in":"header","required":false,"schema":{"type":"string","format":"uuid","isRequired":false,"description":"Optional `entity_id` to scope requests to a specific entity.","uniqueKey":"","typeLabel":"string\u003cuuid>"},"description":"Optional `entity_id` to scope requests to a specific entity."}},"responses":{"c6ba54ed-e227-4d2e-9e99-8c0e90a4ef6c":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"transactions":{"items":{"oneOf":[{"type":"object","title":"DepositTransactionModel","required":["depositTransaction"],"properties":{"depositTransaction":{"properties":{"transactionId":{"type":"string","maxLength":256,"title":"Identifier","description":"Long-term persistent identity of the transaction, unique to the account. Transactions with status `PENDING` and `POSTED` have different IDs.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.transactionId","typeLabel":"string"},"transactionTimestamp":{"type":"string","format":"date-time","title":"Timestamp","description":"The date and time the transaction was recorded.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.transactionTimestamp","typeLabel":"string\u003cdate-time>"},"description":{"type":"string","title":"Description","description":"The description of the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.description","typeLabel":"string"},"debitCreditMemo":{"type":"string","enum":["CREDIT","DEBIT","MEMO","NONE"],"title":"DebitCreditMemo","description":"Debit or credit memo for the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.debitCreditMemo","typeLabel":"enum\u003cstring>"},"status":{"type":"string","enum":["AUTHORIZATION","MEMO","PENDING","POSTED"],"title":"TransactionStatus","description":"The status of the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.status","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","title":"Amount","description":"The amount of money in the account currency.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.amount","typeLabel":"number"},"currency":{"properties":{"currencyCode":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SLE","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWG","ZWL"],"title":"Iso4217Code","description":"ISO 4217 currency code.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.currency.currencyCode","typeLabel":"enum\u003cstring>"}},"type":"object","required":["currencyCode"],"title":"Currency","description":"The ISO 4217 currency `amount` is denominated in.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.currency","typeLabel":"Currency · object"},"referenceTransactionId":{"oneOf":[{"type":"string","title":"Identifier","description":"For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.","maxLength":256,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.referenceTransactionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.referenceTransactionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.referenceTransactionId","typeLabel":"string | null"},"postedTimestamp":{"oneOf":[{"type":"string","title":"Timestamp","description":"The date and time the transaction was posted to the account. When omitted, `transactionTimestamp` may be used instead. Absent for `PENDING` transactions and required for `POSTED` transactions.","format":"date-time","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.postedTimestamp.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"The date and time the transaction was posted to the account. When omitted, `transactionTimestamp` may be used instead. Absent for `PENDING` transactions and required for `POSTED` transactions.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.postedTimestamp.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.postedTimestamp","typeLabel":"string\u003cdate-time> | null"},"category":{"oneOf":[{"type":"string","title":"Category","description":"Transaction category, preferably an MCC or SIC code.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.category.oneOf.0","typeLabel":"string"},{"type":"null","title":"Category","description":"Transaction category, preferably an MCC or SIC code.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.category.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.category","typeLabel":"string | null"},"subCategory":{"oneOf":[{"type":"string","title":"Subcategory","description":"Transaction category detail.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.subCategory.oneOf.0","typeLabel":"string"},{"type":"null","title":"Subcategory","description":"Transaction category detail.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.subCategory.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.subCategory","typeLabel":"string | null"},"foreignAmount":{"oneOf":[{"type":"number","title":"Foreignamount","description":"The amount of money in the foreign currency. When set, `foreignCurrency` is also set.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.foreignAmount.oneOf.0","typeLabel":"number"},{"type":"null","title":"Foreignamount","description":"The amount of money in the foreign currency. When set, `foreignCurrency` is also set.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.foreignAmount.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.foreignAmount","typeLabel":"number | null"},"foreignCurrency":{"oneOf":[{"type":"string","title":"Iso4217Code","description":"The ISO 4217 code of the foreign currency.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SLE","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWG","ZWL"],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.foreignCurrency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The ISO 4217 code of the foreign currency.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.foreignCurrency.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.foreignCurrency","typeLabel":"enum\u003cstring> | null"},"card_id":{"oneOf":[{"type":"string","title":"Card Id","description":"The ID of the card used for this transaction, if it was a card transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.card_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Card Id","description":"The ID of the card used for this transaction, if it was a card transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.card_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.card_id","typeLabel":"string | null"},"transactionType":{"oneOf":[{"type":"string","title":"DepositTransactionType","description":"The type of the deposit transaction.","enum":["ADJUSTMENT","ATMDEPOSIT","ATMWITHDRAWAL","BILLPAYMENT","CHECK","DEPOSIT","DIRECTDEPOSIT","DIVIDEND","FEE","INTEREST","POSCREDIT","POSDEBIT","TRANSFER","WITHDRAWAL","NONE"],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.transactionType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The type of the deposit transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.transactionType.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.transactionType","typeLabel":"enum\u003cstring> | null"},"payee":{"oneOf":[{"type":"string","title":"String255","description":"Payee name.","maxLength":255,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.payee.oneOf.0","typeLabel":"string"},{"type":"null","description":"Payee name.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.payee.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.payee","typeLabel":"string | null"},"checkNumber":{"oneOf":[{"type":"string","title":"Checknumber","description":"Check number associated with a check deposit transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.checkNumber.oneOf.0","typeLabel":"string"},{"type":"null","title":"Checknumber","description":"Check number associated with a check deposit transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.checkNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction.checkNumber","typeLabel":"string | null"}},"type":"object","required":["transactionId","transactionTimestamp","description","debitCreditMemo","status","amount","currency"],"title":"DepositTransaction","description":"Detailed information about the deposit transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.0.depositTransaction","typeLabel":"DepositTransaction · object"}},"additionalProperties":false,"uniqueKey":"transactions.items.[INDEX].oneOf.0","typeLabel":"DepositTransactionModel · object"},{"type":"object","title":"InvestmentTransactionModel","required":["investmentTransaction"],"properties":{"investmentTransaction":{"properties":{"transactionId":{"type":"string","maxLength":256,"title":"Identifier","description":"Long-term persistent identity of the transaction, unique to the account. Transactions with status `PENDING` and `POSTED` have different IDs.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.transactionId","typeLabel":"string"},"transactionTimestamp":{"type":"string","format":"date-time","title":"Timestamp","description":"The date and time the transaction was recorded.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.transactionTimestamp","typeLabel":"string\u003cdate-time>"},"description":{"type":"string","title":"Description","description":"The description of the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.description","typeLabel":"string"},"debitCreditMemo":{"type":"string","enum":["CREDIT","DEBIT","MEMO","NONE"],"title":"DebitCreditMemo","description":"Debit or credit memo for the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.debitCreditMemo","typeLabel":"enum\u003cstring>"},"status":{"type":"string","enum":["AUTHORIZATION","MEMO","PENDING","POSTED"],"title":"TransactionStatus","description":"The status of the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.status","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","title":"Amount","description":"The amount of money in the account currency.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.amount","typeLabel":"number"},"currency":{"properties":{"currencyCode":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SLE","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWG","ZWL"],"title":"Iso4217Code","description":"ISO 4217 currency code.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.currency.currencyCode","typeLabel":"enum\u003cstring>"}},"type":"object","required":["currencyCode"],"title":"Currency","description":"The ISO 4217 currency `amount` is denominated in.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.currency","typeLabel":"Currency · object"},"transactionType":{"type":"string","enum":["ADJUSTMENT","ATM","CASH","CHECK","CLOSURE","CLOSUREOPT","CONTRIBUTION","DEP","DEPOSIT","DIRECTDEBIT","DIRECTDEP","DIV","DIVIDEND","DIVIDENDREINVEST","EXPENSE","FEE","INCOME","INTEREST","INVEXPENSE","JRNLFUND","JRNLSEC","MARGININTEREST","OPTIONEXERCISE","OPTIONEXPIRATION","OTHER","PAYMENT","POS","PURCHASED","PURCHASEDTOCOVER","PURCHASETOCLOSE","PURCHASETOOPEN","REINVESTOFINCOME","REPEATPMT","RETURNOFCAPITAL","SOLD","SOLDTOCLOSE","SOLDTOOPEN","SPLIT","SRVCHG","TRANSFER","XFER"],"title":"InvestmentTransactionType","description":"Investment transaction type.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.transactionType","typeLabel":"enum\u003cstring>"},"fees":{"type":"number","title":"Fees","description":"Fees.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.fees","typeLabel":"number"},"referenceTransactionId":{"oneOf":[{"type":"string","title":"Identifier","description":"For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.","maxLength":256,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.referenceTransactionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.referenceTransactionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.referenceTransactionId","typeLabel":"string | null"},"postedTimestamp":{"oneOf":[{"type":"string","title":"Timestamp","description":"The date and time the transaction was posted to the account. When omitted, `transactionTimestamp` may be used instead. Absent for `PENDING` transactions and required for `POSTED` transactions.","format":"date-time","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.postedTimestamp.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"The date and time the transaction was posted to the account. When omitted, `transactionTimestamp` may be used instead. Absent for `PENDING` transactions and required for `POSTED` transactions.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.postedTimestamp.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.postedTimestamp","typeLabel":"string\u003cdate-time> | null"},"category":{"oneOf":[{"type":"string","title":"Category","description":"Transaction category, preferably an MCC or SIC code.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.category.oneOf.0","typeLabel":"string"},{"type":"null","title":"Category","description":"Transaction category, preferably an MCC or SIC code.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.category.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.category","typeLabel":"string | null"},"subCategory":{"oneOf":[{"type":"string","title":"Subcategory","description":"Transaction category detail.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.subCategory.oneOf.0","typeLabel":"string"},{"type":"null","title":"Subcategory","description":"Transaction category detail.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.subCategory.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.subCategory","typeLabel":"string | null"},"foreignAmount":{"oneOf":[{"type":"number","title":"Foreignamount","description":"The amount of money in the foreign currency. When set, `foreignCurrency` is also set.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.foreignAmount.oneOf.0","typeLabel":"number"},{"type":"null","title":"Foreignamount","description":"The amount of money in the foreign currency. When set, `foreignCurrency` is also set.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.foreignAmount.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.foreignAmount","typeLabel":"number | null"},"foreignCurrency":{"oneOf":[{"type":"string","title":"Iso4217Code","description":"The ISO 4217 code of the foreign currency.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SLE","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWG","ZWL"],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.foreignCurrency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The ISO 4217 code of the foreign currency.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.foreignCurrency.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.foreignCurrency","typeLabel":"enum\u003cstring> | null"},"card_id":{"oneOf":[{"type":"string","title":"Card Id","description":"The ID of the card used for this transaction, if it was a card transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.card_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Card Id","description":"The ID of the card used for this transaction, if it was a card transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.card_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.card_id","typeLabel":"string | null"},"securityId":{"oneOf":[{"type":"string","title":"Securityid","description":"Security ID.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityId.oneOf.0","typeLabel":"string"},{"type":"null","title":"Securityid","description":"Security ID.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityId.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityId","typeLabel":"string | null"},"securityIdType":{"oneOf":[{"type":"string","title":"SecurityIdType","description":"Security ID type.","enum":["CUSIP","ISIN","SEDOL","SICC","VALOR","WKN"],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityIdType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Security ID type.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityIdType.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityIdType","typeLabel":"enum\u003cstring> | null"},"securityType":{"oneOf":[{"type":"string","title":"SecurityType","description":"Security type.","enum":["BOND","DEBT","MUTUALFUND","OPTION","OTHER","STOCK","SWEEP"],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Security type.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityType.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.securityType","typeLabel":"enum\u003cstring> | null"},"symbol":{"oneOf":[{"type":"string","title":"Symbol","description":"Ticker symbol.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.symbol.oneOf.0","typeLabel":"string"},{"type":"null","title":"Symbol","description":"Ticker symbol.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.symbol.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.symbol","typeLabel":"string | null"},"commission":{"oneOf":[{"type":"number","title":"Commission","description":"Commission.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.commission.oneOf.0","typeLabel":"number"},{"type":"null","title":"Commission","description":"Commission.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.commission.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.commission","typeLabel":"number | null"},"unitPrice":{"oneOf":[{"type":"number","title":"Unitprice","description":"Unit price.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.unitPrice.oneOf.0","typeLabel":"number"},{"type":"null","title":"Unitprice","description":"Unit price.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.unitPrice.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.unitPrice","typeLabel":"number | null"},"units":{"oneOf":[{"type":"number","title":"Units","description":"Units.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.units.oneOf.0","typeLabel":"number"},{"type":"null","title":"Units","description":"Units.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.units.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.units","typeLabel":"number | null"},"unitType":{"oneOf":[{"type":"string","title":"UnitType","description":"Unit type.","enum":["CURRENCY","SHARES"],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.unitType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Unit type.","uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.unitType.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction.unitType","typeLabel":"enum\u003cstring> | null"}},"type":"object","required":["transactionId","transactionTimestamp","description","debitCreditMemo","status","amount","currency","transactionType","fees"],"title":"InvestmentTransaction","description":"Detailed information about the investment transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.1.investmentTransaction","typeLabel":"InvestmentTransaction · object"}},"additionalProperties":false,"uniqueKey":"transactions.items.[INDEX].oneOf.1","typeLabel":"InvestmentTransactionModel · object"},{"type":"object","title":"DigitalWalletTransactionModel","required":["digitalWalletTransaction"],"properties":{"digitalWalletTransaction":{"properties":{"transactionId":{"type":"string","maxLength":256,"title":"Identifier","description":"Long-term persistent identity of the transaction, unique to the account. Transactions with status `PENDING` and `POSTED` have different IDs.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.transactionId","typeLabel":"string"},"transactionTimestamp":{"type":"string","format":"date-time","title":"Timestamp","description":"The date and time the transaction was recorded.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.transactionTimestamp","typeLabel":"string\u003cdate-time>"},"description":{"type":"string","title":"Description","description":"The description of the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.description","typeLabel":"string"},"debitCreditMemo":{"type":"string","enum":["CREDIT","DEBIT","MEMO","NONE"],"title":"DebitCreditMemo","description":"Debit or credit memo for the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.debitCreditMemo","typeLabel":"enum\u003cstring>"},"status":{"type":"string","enum":["AUTHORIZATION","MEMO","PENDING","POSTED"],"title":"TransactionStatus","description":"The status of the transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.status","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","title":"Amount","description":"The amount of money in the account currency.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.amount","typeLabel":"number"},"currency":{"properties":{"currencyCode":{"type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SLE","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWG","ZWL"],"title":"Iso4217Code","description":"ISO 4217 currency code.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.currency.currencyCode","typeLabel":"enum\u003cstring>"}},"type":"object","required":["currencyCode"],"title":"Currency","description":"The ISO 4217 currency `amount` is denominated in.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.currency","typeLabel":"Currency · object"},"referenceTransactionId":{"oneOf":[{"type":"string","title":"Identifier","description":"For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.","maxLength":256,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.referenceTransactionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.referenceTransactionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.referenceTransactionId","typeLabel":"string | null"},"postedTimestamp":{"oneOf":[{"type":"string","title":"Timestamp","description":"The date and time the transaction was posted to the account. When omitted, `transactionTimestamp` may be used instead. Absent for `PENDING` transactions and required for `POSTED` transactions.","format":"date-time","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.postedTimestamp.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"The date and time the transaction was posted to the account. When omitted, `transactionTimestamp` may be used instead. Absent for `PENDING` transactions and required for `POSTED` transactions.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.postedTimestamp.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.postedTimestamp","typeLabel":"string\u003cdate-time> | null"},"category":{"oneOf":[{"type":"string","title":"Category","description":"Transaction category, preferably an MCC or SIC code.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.category.oneOf.0","typeLabel":"string"},{"type":"null","title":"Category","description":"Transaction category, preferably an MCC or SIC code.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.category.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.category","typeLabel":"string | null"},"subCategory":{"oneOf":[{"type":"string","title":"Subcategory","description":"Transaction category detail.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.subCategory.oneOf.0","typeLabel":"string"},{"type":"null","title":"Subcategory","description":"Transaction category detail.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.subCategory.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.subCategory","typeLabel":"string | null"},"foreignAmount":{"oneOf":[{"type":"number","title":"Foreignamount","description":"The amount of money in the foreign currency. When set, `foreignCurrency` is also set.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.foreignAmount.oneOf.0","typeLabel":"number"},{"type":"null","title":"Foreignamount","description":"The amount of money in the foreign currency. When set, `foreignCurrency` is also set.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.foreignAmount.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.foreignAmount","typeLabel":"number | null"},"foreignCurrency":{"oneOf":[{"type":"string","title":"Iso4217Code","description":"The ISO 4217 code of the foreign currency.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SLE","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWG","ZWL"],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.foreignCurrency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The ISO 4217 code of the foreign currency.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.foreignCurrency.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.foreignCurrency","typeLabel":"enum\u003cstring> | null"},"card_id":{"oneOf":[{"type":"string","title":"Card Id","description":"The ID of the card used for this transaction, if it was a card transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.card_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Card Id","description":"The ID of the card used for this transaction, if it was a card transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.card_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.card_id","typeLabel":"string | null"},"transactionType":{"oneOf":[{"type":"string","title":"DigitalWalletTransactionType","description":"The type of the digital wallet transaction.","enum":["DEPOSIT","WITHDRAWAL","FEE","INTEREST"],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.transactionType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The type of the digital wallet transaction.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.transactionType.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.transactionType","typeLabel":"enum\u003cstring> | null"},"payee":{"oneOf":[{"type":"string","title":"String255","description":"Payee or counterparty name.","maxLength":255,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.payee.oneOf.0","typeLabel":"string"},{"type":"null","description":"Payee or counterparty name.","uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.payee.oneOf.1","typeLabel":"null"}],"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction.payee","typeLabel":"string | null"}},"type":"object","required":["transactionId","transactionTimestamp","description","debitCreditMemo","status","amount","currency"],"title":"DigitalWalletTransaction","description":"Detailed information about the digital wallet transaction.","isRequired":true,"uniqueKey":"transactions.items.[INDEX].oneOf.2.digitalWalletTransaction","typeLabel":"DigitalWalletTransaction · object"}},"additionalProperties":false,"uniqueKey":"transactions.items.[INDEX].oneOf.2","typeLabel":"DigitalWalletTransactionModel · object"}],"uniqueKey":"transactions.items.[INDEX]","typeLabel":"DepositTransactionModel · object | InvestmentTransactionModel · object | DigitalWalletTransactionModel · object"},"type":"array","title":"Transactions","description":"The account's transactions. The transaction shape depends on the account type; this is empty when there are no transactions to return.","isRequired":true,"uniqueKey":"transactions","typeLabel":"(DepositTransactionModel · object | InvestmentTransactionModel · object | DigitalWalletTransactionModel · object)[]"},"page":{"oneOf":[{"type":"object","title":"PageMetadata","description":"Metadata for pagination.","properties":{"nextOffset":{"oneOf":[{"type":"string","title":"Nextoffset","description":"Opaque offset identifier.","example":"qwer123454q2f","uniqueKey":"page.oneOf.0.nextOffset.oneOf.0","typeLabel":"string"},{"type":"null","title":"Nextoffset","description":"Opaque offset identifier.","example":"qwer123454q2f","uniqueKey":"page.oneOf.0.nextOffset.oneOf.1","typeLabel":"null"}],"uniqueKey":"page.oneOf.0.nextOffset","typeLabel":"string | null"}},"uniqueKey":"page.oneOf.0","typeLabel":"PageMetadata · object"},{"type":"null","description":"Metadata for pagination.","uniqueKey":"page.oneOf.1","typeLabel":"null"}],"uniqueKey":"page","typeLabel":"PageMetadata · object | null"}},"type":"object","required":["transactions"],"title":"Transactions","uniqueKey":"","typeLabel":"Transactions · object"},"examples":{"Example":{"title":"Example","value":{"transactions":[{"depositTransaction":{"transactionId":"\u003cstring>","transactionTimestamp":"2023-11-07T05:31:56Z","description":"\u003cstring>","debitCreditMemo":"CREDIT","status":"AUTHORIZATION","amount":123,"currency":{"currencyCode":"AED"},"referenceTransactionId":"\u003cstring>","postedTimestamp":"2023-11-07T05:31:56Z","category":"\u003cstring>","subCategory":"\u003cstring>","foreignAmount":123,"foreignCurrency":"AED","card_id":"\u003cstring>","transactionType":"ADJUSTMENT","payee":"\u003cstring>","checkNumber":"\u003cstring>"}}],"page":{"nextOffset":"qwer123454q2f"}}}},"exampleType":"generated"}},"exampleType":"generated"},"eb168920-c70a-4880-a767-5391979fb541":{"description":"The request could not be processed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["code","message","debug_message"],"properties":{"code":{"type":"integer","isRequired":true,"uniqueKey":"oneOf.0.code","typeLabel":"integer"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"debug_message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.debug_message","typeLabel":"string"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["error_code","message"],"properties":{"error_code":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.error_code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.message","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":123,"message":"\u003cstring>","debug_message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"1b8a2762-dbae-4d92-b559-b720d01232a1":{"description":"Authentication failed.","content":{"application/json":{"schema":{"type":"object","required":["error_code","message"],"properties":{"error_code":{"type":"string","isRequired":true,"uniqueKey":"error_code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error_code":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"a9d3a598-ea7c-4084-b9f3-e36b6188f04f":{"description":"The API key is not authorized for this operation, or the user of a global API key is an admin or controller without approved KYC. The KYC case returns the message `KYC is required for controllers and admins.` until that user completes KYC in the Meow dashboard.","content":{"application/json":{"schema":{"type":"object","required":["error_code","message"],"properties":{"error_code":{"type":"string","isRequired":true,"uniqueKey":"error_code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error_code":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"f6da3922-847e-435c-99e5-4831eb54e1b8":{"description":"Too many requests.","headers":{"Retry-After":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"object","required":["error_code","message"],"properties":{"error_code":{"type":"string","isRequired":true,"uniqueKey":"error_code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error_code":"\u003cstring>","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"b143499e-d063-43ba-9e13-23119d926142":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Meow API key, sent in the `x-api-key` header for authentication.","x-scopes":["accounts:read","accounts:write","accounts:payment-networks","accounts:transactions","accounts:balances","accounts:statements","accounts:tax-documents","entity:create","transfers:crypto:write","transfers:usdc:write","transfers:ach:write","transfers:wire:write","transfers:book:write","transfers:international:write","contacts:read","contacts:write","billing:products:read","billing:products:write","billing:customers:read","billing:customers:write","billing:invoices:read","billing:invoices:write","billing:accounts:read","billpay:read","billpay:write","onboarding:read","onboarding:write","cards:read","cards:write","reimbursements:read","users:read","users:write","webhooks:read","webhooks:write","partner:onboarding:read","partner:onboarding:write","partner:webhooks:read","partner:webhooks:write","simulations:write","banking:limits:read","banking:limits:write","feature-access:read","feature-access:write"],"scopes":["accounts:transactions"],"schemeName":"apiKeyAuth"}}},"servers":{"3821b52a-a908-400a-8ac6-98338b84f3fb":{"url":"https://api.meow.com/v1","description":"Meow API Production"},"906283fa-cbb1-4ccc-9645-f62eb49ac66c":{"url":"https://api.sandbox.meow.com/v1","description":"Meow API Sandbox"},"6fe963f8-cf1f-416c-a23f-66c827e09e0c":{"url":"https://api.dev.meow.com/v1","description":"Meow API Development"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Meow API key, sent in the `x-api-key` header for authentication.","x-scopes":["accounts:read","accounts:write","accounts:payment-networks","accounts:transactions","accounts:balances","accounts:statements","accounts:tax-documents","entity:create","transfers:crypto:write","transfers:usdc:write","transfers:ach:write","transfers:wire:write","transfers:book:write","transfers:international:write","contacts:read","contacts:write","billing:products:read","billing:products:write","billing:customers:read","billing:customers:write","billing:invoices:read","billing:invoices:write","billing:accounts:read","billpay:read","billpay:write","onboarding:read","onboarding:write","cards:read","cards:write","reimbursements:read","users:read","users:write","webhooks:read","webhooks:write","partner:onboarding:read","partner:onboarding:write","partner:webhooks:read","partner:webhooks:write","simulations:write","banking:limits:read","banking:limits:write","feature-access:read","feature-access:write"],"scopes":["accounts:transactions"],"schemeName":"apiKeyAuth"},"schema":{"title":"x-api-key","type":"string","description":"Your Meow API key, sent in the `x-api-key` header for authentication.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"x-api-key"}],"title":"apiKeyAuth"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"meow-ab0ed57b","siteName":"Meow API","title":"List Transactions for an Account - Meow API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-05T17:48:35.120Z","originalFileLocation":"api-reference/core-api/list-transactions-for-an-account.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a list of transactions for a specified account.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Meow API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Transactions for an Account - Meow API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a list of transactions for a specified account.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Meow API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://meow-ab0ed57b.mintlify.site/_mintlify/api/og/v2?division=Transactions\u0026amp;title=List+Transactions+for+an+Account\u0026amp;description=Returns+a+list+of+transactions+for+a+specified+account.\u0026amp;theme=81ac74a00af63a2637a4b701\u0026amp;signature=3c5b8fae8d3704e423ec178d6d16ea2f09cad3d01458716b5410590e3371047a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Transactions for an Account - Meow API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a list of transactions for a specified account.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://meow-ab0ed57b.mintlify.site/_mintlify/api/og/v2?division=Transactions\u0026amp;title=List+Transactions+for+an+Account\u0026amp;description=Returns+a+list+of+transactions+for+a+specified+account.\u0026amp;theme=81ac74a00af63a2637a4b701\u0026amp;signature=3c5b8fae8d3704e423ec178d6d16ea2f09cad3d01458716b5410590e3371047a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/meow-ab0ed57b/sOzLwcfZylYb8KIn/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Meow API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#387BF0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/core-api/list-transactions-for-an-account.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.meow.com/#organization\",\"name\":\"Meow API\",\"url\":\"https://developer.meow.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/meow-ab0ed57b/GIWcUFPo4B-P_U1J/images/logo-light.svg?fit=max\u0026auto=format\u0026n=GIWcUFPo4B-P_U1J\u0026q=85\u0026s=057d9783f57a5ead55c30ba9de7882ee\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.meow.com#website\",\"name\":\"Meow API\",\"url\":\"https://developer.meow.com\",\"publisher\":{\"@id\":\"https://developer.meow.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account#webpage\",\"url\":\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account\",\"name\":\"List Transactions for an Account\",\"description\":\"Returns a list of transactions for a specified account.\",\"dateModified\":\"2026-04-05T17:48:35.120Z\",\"isPartOf\":{\"@id\":\"https://developer.meow.com#website\"},\"breadcrumb\":{\"@id\":\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Core API\",\"item\":\"https://developer.meow.com/api-reference/core-api/list-accessible-entities\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List Transactions for an Account\",\"item\":\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account#apireference\",\"headline\":\"List Transactions for an Account\",\"name\":\"List Transactions for an Account\",\"description\":\"Returns a list of transactions for a specified account.\",\"url\":\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account\",\"mainEntityOfPage\":{\"@id\":\"https://developer.meow.com/api-reference/core-api/list-transactions-for-an-account#webpage\"},\"dateModified\":\"2026-04-05T17:48:35.120Z\",\"publisher\":{\"@id\":\"https://developer.meow.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.meow.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Meow API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Meow API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/core-api/list-transactions-for-an-account.md","siteName":"Meow API","nav":{"global":{"anchors":[{"anchor":"Blog","icon":"newspaper","href":"https://meow.com/blog"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"Meow API reference: endpoints, payloads, and examples","sidebarTitle":"Overview","href":"/api-reference/overview"}]},{"group":"Core API","pages":[{"group":"API Keys","pages":[{"title":"List Accessible Entities","openapi":"GET /api-keys/accessible-entities","href":"/api-reference/core-api/list-accessible-entities"},{"title":"Get Current API Key","openapi":"GET /api-keys/current","href":"/api-reference/core-api/get-current-api-key"}]},{"group":"Contacts","pages":[{"title":"Create Contact","openapi":"POST /contacts","href":"/api-reference/core-api/create-contact"},{"title":"List Contacts","openapi":"GET /contacts","href":"/api-reference/core-api/list-contacts"},{"title":"Get International Contact Requirements","openapi":"GET /contacts/international-requirements","href":"/api-reference/core-api/get-international-contact-requirements"},{"title":"Get Contact","openapi":"GET /contacts/{contact_id}","href":"/api-reference/core-api/get-contact"},{"title":"Update Contact","openapi":"PATCH /contacts/{contact_id}","href":"/api-reference/core-api/update-contact"},{"title":"Delete a Contact","openapi":"DELETE /contacts/{contact_id}","href":"/api-reference/core-api/delete-a-contact"}]},{"group":"Accounts","pages":[{"title":"List Bank Accounts","openapi":"GET /accounts","href":"/api-reference/core-api/list-bank-accounts"},{"title":"Open an Additional Bank Account","openapi":"POST /accounts","href":"/api-reference/core-api/open-account"},{"title":"Close a Bank Account","openapi":"POST /accounts/{account_id}/close","href":"/api-reference/core-api/close-account"},{"title":"Get Account Details","openapi":"GET /accounts/{account_id}","href":"/api-reference/core-api/get-account-details"},{"title":"Update a Bank Account","openapi":"PATCH /accounts/{account_id}","href":"/api-reference/core-api/update-account"},{"title":"List Balances for an Account","openapi":"GET /accounts/{account_id}/balances","href":"/api-reference/core-api/list-balances-for-an-account"},{"title":"List Payment Networks for an Account","openapi":"GET /accounts/{account_id}/payment-networks","href":"/api-reference/core-api/list-payment-networks-for-an-account"},{"title":"Create Liquidation Address","openapi":"POST /accounts/{account_id}/liquidation-addresses","href":"/api-reference/core-api/create-liquidation-address"}]},{"group":"Limits","pages":[{"title":"Get Daily Withdrawal Limit","openapi":"GET /limits/daily-withdrawal","href":"/api-reference/core-api/get-daily-withdrawal-limit"},{"title":"Set Daily Withdrawal Limit","openapi":"PUT /limits/daily-withdrawal","description":"Sets the most that can be withdrawn from your accounts in a single day across all transfer types. Must be a whole dollar amount from 0 up to the maximum set for your entity. Set it to 0 to block all outbound transfers while you collect funds, then raise it when you are ready to pay out. Raising it requires a maximum to be set for your entity first; contact support@meow.com if `max_daily_withdrawal_limit` is `null`. Requires the `banking:limits:write` scope. The limit is business-wide, so an API key restricted to one account cannot change it.","href":"/api-reference/core-api/set-daily-withdrawal-limit"}]},{"group":"Transactions","pages":[{"title":"List Transactions for an Account","openapi":"GET /accounts/{account_id}/transactions","href":"/api-reference/core-api/list-transactions-for-an-account"},{"title":"Get USDC Transaction","openapi":"GET /accounts/{account_id}/transactions/{transaction_id}","description":"Legacy endpoint for retrieving USDC transaction details. For new integrations, use `GET /accounts/{account_id}/crypto/{transaction_id}`.","href":"/api-reference/core-api/get-usdc-transaction"},{"title":"Get Crypto Transaction","openapi":"GET /accounts/{account_id}/crypto/{transaction_id}","href":"/api-reference/core-api/get-crypto-transaction"},{"title":"Get Check Deposit","openapi":"GET /accounts/{account_id}/check-deposits/{transaction_id}","href":"/api-reference/core-api/get-check-deposit"}]},{"group":"Transfers","pages":[{"title":"Create Crypto Transaction","openapi":"POST /accounts/{account_id}/crypto","href":"/api-reference/core-api/create-crypto-transaction"},{"title":"Create USDC Transaction","openapi":"POST /accounts/{account_id}/usdc","href":"/api-reference/core-api/create-usdc-transaction"},{"title":"Create ACH Transfer","openapi":"POST /accounts/{account_id}/ach","href":"/api-reference/core-api/create-ach-transfer"},{"title":"Get ACH Transfer","openapi":"GET /accounts/{account_id}/achs/{ach_transfer_id}","href":"/api-reference/core-api/get-ach-transfer"},{"title":"Create Scheduled ACH Transfer","openapi":"POST /accounts/{account_id}/ach/scheduled","href":"/api-reference/core-api/create-scheduled-ach-transfer"},{"title":"List Scheduled ACH Transfers","openapi":"GET /accounts/{account_id}/ach/scheduled","href":"/api-reference/core-api/list-scheduled-ach-transfers"},{"title":"Create Wire Transfer","openapi":"POST /accounts/{account_id}/wire","href":"/api-reference/core-api/create-wire-transfer"},{"title":"Get Wire Transfer","openapi":"GET /accounts/{account_id}/wires/{wire_transfer_id}","href":"/api-reference/core-api/get-wire-transfer"},{"title":"Create Scheduled Wire Transfer","openapi":"POST /accounts/{account_id}/wire/scheduled","href":"/api-reference/core-api/create-scheduled-wire-transfer"},{"title":"List Scheduled Wire Transfers","openapi":"GET /accounts/{account_id}/wire/scheduled","href":"/api-reference/core-api/list-scheduled-wire-transfers"},{"title":"Cancel Wire Transfer","openapi":"POST /accounts/{account_id}/wires/{wire_transfer_id}/cancel","href":"/api-reference/core-api/cancel-wire-transfer"},{"title":"Create Book Transfer","openapi":"POST /accounts/{account_id}/book","href":"/api-reference/core-api/create-book-transfer"},{"title":"Quote an International Payment","openapi":"POST /accounts/{account_id}/international/quote","href":"/api-reference/core-api/quote-international-payment"},{"title":"Create International Payment","openapi":"POST /accounts/{account_id}/international","href":"/api-reference/core-api/create-international-payment"}]},{"group":"Wire Drawdowns","pages":[{"title":"List Wire Drawdown Requests","openapi":"GET /wire-drawdowns","href":"/api-reference/core-api/list-wire-drawdown-requests"},{"title":"Approve Wire Drawdown Request","openapi":"POST /accounts/{account_id}/wire-drawdowns/{wire_id}/approve","href":"/api-reference/core-api/approve-wire-drawdown-request"},{"title":"Reject Wire Drawdown Request","openapi":"POST /accounts/{account_id}/wire-drawdowns/{wire_id}/reject","href":"/api-reference/core-api/reject-wire-drawdown-request"},{"title":"List Wire Drawdown Authorizations","openapi":"GET /wire-drawdowns/authorizations","href":"/api-reference/core-api/list-wire-drawdown-authorizations"},{"title":"Create Wire Drawdown Authorization","openapi":"POST /accounts/{account_id}/wire-drawdowns/authorizations","href":"/api-reference/core-api/create-wire-drawdown-authorization"},{"title":"Update Wire Drawdown Authorization","openapi":"PUT /accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}","href":"/api-reference/core-api/update-wire-drawdown-authorization"},{"title":"Delete Wire Drawdown Authorization","openapi":"DELETE /accounts/{account_id}/wire-drawdowns/authorizations/{authorization_id}","href":"/api-reference/core-api/delete-wire-drawdown-authorization"}]},{"group":"Feature Access","pages":[{"title":"Request Feature Access","openapi":"POST /feature-access/requests","href":"/api-reference/core-api/request-feature-access"},{"title":"List Feature Access Requests","openapi":"GET /feature-access/requests","href":"/api-reference/core-api/list-feature-access-requests"}]},{"group":"Cards","pages":[{"title":"Create Card","openapi":"POST /cards","href":"/api-reference/core-api/create-card"},{"title":"List Cards","openapi":"GET /cards","href":"/api-reference/core-api/list-cards"},{"title":"Get Card","openapi":"GET /cards/{card_id}","href":"/api-reference/core-api/get-card"},{"title":"Update Card","openapi":"PATCH /cards/{card_id}","href":"/api-reference/core-api/update-card"},{"title":"Revoke Card","openapi":"POST /cards/{card_id}/revoke","href":"/api-reference/core-api/revoke-card"},{"title":"Get Card Details","openapi":"GET /cards/{card_id}/details","href":"/api-reference/core-api/get-card-details"},{"title":"Get Card PAN","openapi":"POST /cards/{card_id}/pan","href":"/api-reference/core-api/get-card-pan"},{"title":"Reveal Card PAN","openapi":"GET /cards/{card_id}/pan/reveal","href":"/api-reference/core-api/reveal-card-pan"},{"title":"Get Card Limits","openapi":"GET /cards/{card_id}/limits","href":"/api-reference/core-api/get-card-limits"},{"title":"List Merchants","openapi":"GET /cards/merchants","href":"/api-reference/core-api/list-merchants"},{"title":"List Card Transactions","openapi":"GET /cards/transactions","href":"/api-reference/core-api/list-card-transactions"},{"title":"Get Card Transaction","openapi":"GET /cards/transactions/{transaction_id}","href":"/api-reference/core-api/get-card-transaction"},{"title":"Update Card Transaction Memo","openapi":"PUT /cards/transactions/{transaction_id}/memo","href":"/api-reference/core-api/update-card-transaction-memo"},{"title":"Create Receipt Upload URLs","openapi":"POST /receipts/upload-urls","href":"/api-reference/core-api/create-receipt-upload-urls"},{"title":"Create a Transaction Receipt","openapi":"POST /cards/transactions/{transaction_id}/receipts","href":"/api-reference/core-api/create-transaction-receipt"},{"title":"Create Receipts","openapi":"POST /receipts","href":"/api-reference/core-api/create-receipts"},{"title":"List Receipts","openapi":"GET /receipts","href":"/api-reference/core-api/list-receipts"},{"title":"Get a Receipt","openapi":"GET /receipts/{receipt_id}","href":"/api-reference/core-api/get-receipt"},{"title":"Get Card Spending Insights","openapi":"GET /cards/insights","href":"/api-reference/core-api/get-card-spending-insights"}]},{"group":"Users","pages":[{"title":"List Users","openapi":"GET /users","href":"/api-reference/core-api/list-users"},{"title":"Invite a team member","openapi":"POST /users/invitations","href":"/api-reference/core-api/invite-team-member"}]},{"group":"Reimbursements","pages":[{"title":"List Reimbursements","openapi":"GET /reimbursements","href":"/api-reference/core-api/list-reimbursements"}]},{"group":"Tax Forms","pages":[{"title":"Search Tax Forms","openapi":"GET /tax-forms","href":"/api-reference/core-api/search-tax-forms"},{"title":"Retrieve Tax Form","openapi":"GET /tax-forms/{tax_form_id}","href":"/api-reference/core-api/retrieve-tax-form"}]},{"title":"Validate Routing Number","openapi":"GET /routing-numbers/{routing_number}","href":"/api-reference/core-api/validate-routing-number"}]},{"group":"Billing","pages":[{"group":"Products","pages":[{"title":"List Products","openapi":"GET /billing/products","href":"/api-reference/billing/list-products"},{"title":"Create Product","openapi":"POST /billing/products","href":"/api-reference/billing/create-product"},{"title":"Get Product by ID","openapi":"GET /billing/products/{product_id}","href":"/api-reference/billing/get-product-by-id"}]},{"group":"Customers","pages":[{"title":"List Invoicing Customers","openapi":"GET /billing/customers","href":"/api-reference/billing/list-invoicing-customers"},{"title":"Create Invoicing Customer","openapi":"POST /billing/customers","href":"/api-reference/billing/create-invoicing-customer"},{"title":"Get Invoicing Customer by ID","openapi":"GET /billing/customers/{customer_id}","href":"/api-reference/billing/get-invoicing-customer-by-id"}]},{"group":"Invoices","pages":[{"title":"List Invoices","openapi":"GET /billing/invoices","href":"/api-reference/billing/list-invoices"},{"title":"Create Invoice","openapi":"POST /billing/invoices","href":"/api-reference/billing/create-invoice"},{"title":"Get Invoice","openapi":"GET /billing/invoices/{invoice_id}","href":"/api-reference/billing/get-invoice"},{"title":"Download Invoice PDF","openapi":"GET /billing/invoices/{invoice_id}/download","href":"/api-reference/billing/download-invoice-pdf"},{"title":"List All Line Items for an Invoice","openapi":"GET /billing/invoices/{invoice_id}/line-items","href":"/api-reference/billing/list-all-line-items-for-an-invoice"},{"title":"Get a Specific Line Item for an Invoice","openapi":"GET /billing/invoices/{invoice_id}/line-items/{line_item_id}","href":"/api-reference/billing/get-a-specific-line-item-for-an-invoice"}]},{"title":"Get Payment Method Types","openapi":"GET /billing/payment-method-types","href":"/api-reference/billing/get-payment-method-types"},{"title":"List Collection Accounts","openapi":"GET /billing/accounts","href":"/api-reference/billing/list-collection-accounts"}]},{"group":"Billpay","pages":[{"title":"List Bills","openapi":"GET /bills","href":"/api-reference/billpay/list-bills"},{"title":"Get Bill","openapi":"GET /bills/{bill_id}","href":"/api-reference/billpay/get-bill"},{"title":"Create Bill","openapi":"POST /bills","href":"/api-reference/billpay/create-bill"},{"title":"Update Bill","openapi":"PATCH /bills/{bill_id}","href":"/api-reference/billpay/update-bill"},{"title":"Delete Bill","openapi":"DELETE /bills/{bill_id}","href":"/api-reference/billpay/delete-bill"},{"title":"Create Bill Document Upload URLs","openapi":"POST /bills/{bill_id}/documents/presigned-urls","href":"/api-reference/billpay/create-bill-document-upload-urls"},{"title":"Confirm Bill Documents","openapi":"POST /bills/{bill_id}/documents","href":"/api-reference/billpay/confirm-bill-documents"},{"title":"Delete Bill Document","openapi":"DELETE /bills/{bill_id}/documents/{document_id}","href":"/api-reference/billpay/delete-bill-document"},{"title":"Create Bill Invoice Upload URL","openapi":"POST /bills/{bill_id}/invoice/presigned-url","href":"/api-reference/billpay/create-bill-invoice-upload-url"},{"title":"Confirm Bill Invoice","openapi":"POST /bills/{bill_id}/invoice","href":"/api-reference/billpay/confirm-bill-invoice"},{"title":"Delete Bill Invoice","openapi":"DELETE /bills/{bill_id}/invoice","href":"/api-reference/billpay/delete-bill-invoice"},{"title":"Add Bill Line Item","openapi":"POST /bills/{bill_id}/line-items","href":"/api-reference/billpay/add-bill-line-item"},{"title":"Update Bill Line Item","openapi":"PATCH /bills/{bill_id}/line-items/{line_item_id}","href":"/api-reference/billpay/update-bill-line-item"},{"title":"Delete Bill Line Item","openapi":"DELETE /bills/{bill_id}/line-items/{line_item_id}","href":"/api-reference/billpay/delete-bill-line-item"},{"title":"Update Bill Accounting Mappings","openapi":"PATCH /bills/{bill_id}/accounting-mappings","href":"/api-reference/billpay/update-bill-accounting-mappings"},{"title":"Update Bill Line Item Expense Account","openapi":"PATCH /bills/{bill_id}/line-items/{line_item_id}/expense-account","href":"/api-reference/billpay/update-bill-line-item-expense-account"},{"title":"Sync Bill","openapi":"POST /bills/{bill_id}/sync","href":"/api-reference/billpay/sync-bill"},{"title":"Get Bill Pay Settings","openapi":"GET /billpay/settings","href":"/api-reference/billpay/get-bill-pay-settings"},{"title":"Get Expected Payment Date","openapi":"GET /billpay/expected-payment-date","href":"/api-reference/billpay/get-expected-payment-date"},{"title":"List Accounting Vendors","openapi":"GET /billpay/accounting/vendors","href":"/api-reference/billpay/list-accounting-vendors"},{"title":"List Expense Accounts","openapi":"GET /billpay/accounting/expense-accounts","href":"/api-reference/billpay/list-expense-accounts"},{"title":"List Accounting Classes","openapi":"GET /billpay/accounting/classes","href":"/api-reference/billpay/list-accounting-classes"},{"title":"List Bill Pay Departments","openapi":"GET /billpay/departments","href":"/api-reference/billpay/list-billpay-departments"},{"title":"List Bill Schedules","openapi":"GET /bill-schedules","href":"/api-reference/billpay/list-bill-schedules"},{"title":"Get Bill Schedule","openapi":"GET /bill-schedules/{schedule_id}","href":"/api-reference/billpay/get-bill-schedule"},{"title":"Cancel Bill Schedule","openapi":"POST /bill-schedules/{schedule_id}/cancel","href":"/api-reference/billpay/cancel-bill-schedule"}]},{"group":"Onboarding","pages":[{"title":"Create a business entity","openapi":"POST /entities","href":"/api-reference/onboarding/create-entity"},{"title":"Add a representative","openapi":"POST /entities/{entity_id}/representatives","href":"/api-reference/onboarding/add-representative"},{"title":"Submit representative KYC data","openapi":"POST /entities/{entity_id}/representatives/{representative_id}/kyc","href":"/api-reference/onboarding/submit-representative-kyc"},{"title":"Create a representative verification link","openapi":"POST /entities/{entity_id}/representatives/{representative_id}/verification-link","href":"/api-reference/onboarding/create-verification-link"},{"title":"Make a representative primary","openapi":"POST /entities/{entity_id}/representatives/{representative_id}/make-primary","href":"/api-reference/onboarding/make-representative-primary"},{"title":"List representatives","openapi":"GET /entities/{entity_id}/representatives","href":"/api-reference/onboarding/list-representatives"},{"title":"Get a document upload URL","openapi":"POST /entities/{entity_id}/documents/upload-url","href":"/api-reference/onboarding/get-upload-url"},{"title":"Confirm a document upload","openapi":"POST /entities/{entity_id}/documents/confirm","href":"/api-reference/onboarding/confirm-document"},{"title":"Get onboarding status","openapi":"GET /entities/{entity_id}","href":"/api-reference/onboarding/get-onboarding-status"},{"title":"Get an information request form","openapi":"GET /entities/{entity_id}/info-requests/{request_id}/schema","href":"/api-reference/onboarding/get-info-request-schema"},{"title":"Get an information request upload URL","openapi":"POST /entities/{entity_id}/info-requests/{request_id}/documents/upload-url","href":"/api-reference/onboarding/get-info-request-upload-url"},{"title":"Confirm an information request document","openapi":"POST /entities/{entity_id}/info-requests/{request_id}/documents/confirm","href":"/api-reference/onboarding/confirm-info-request-document"},{"title":"Resolve an information request","openapi":"POST /entities/{entity_id}/info-requests/{request_id}","href":"/api-reference/onboarding/submit-info-request-answers"},{"title":"List onboarding entities","openapi":"GET /entities","href":"/api-reference/onboarding/list-entities"},{"title":"Update Business Details","openapi":"PATCH /entities/{entity_id}/business-details","href":"/api-reference/onboarding/update-business-details"},{"title":"Get due diligence requirements","openapi":"GET /entities/{entity_id}/due-diligence","href":"/api-reference/onboarding/get-due-diligence-requirements"},{"title":"Get a due diligence form schema","openapi":"GET /entities/{entity_id}/due-diligence/schema/{form_type}","href":"/api-reference/onboarding/get-due-diligence-schema"},{"title":"Submit a due diligence form","openapi":"POST /entities/{entity_id}/due-diligence","href":"/api-reference/onboarding/submit-due-diligence"},{"title":"Submit Entity Application","openapi":"POST /entities/{entity_id}/submit","href":"/api-reference/onboarding/submit-entity-application"}]},{"group":"Partner Onboarding","pages":[{"title":"Create Application","openapi":"POST /partner/applications","href":"/api-reference/partner-onboarding/create-application"},{"title":"List Applications","openapi":"GET /partner/applications","href":"/api-reference/partner-onboarding/list-applications"},{"title":"Get Application Status","openapi":"GET /partner/applications/{app_id}","href":"/api-reference/partner-onboarding/get-application"},{"title":"Submit KYC Data","openapi":"POST /partner/applications/{app_id}/kyc","href":"/api-reference/partner-onboarding/submit-kyc"},{"title":"Get Document Upload URL","openapi":"POST /partner/applications/{app_id}/documents/upload-url","href":"/api-reference/partner-onboarding/get-upload-url"},{"title":"Confirm Document Upload","openapi":"POST /partner/applications/{app_id}/documents/confirm","href":"/api-reference/partner-onboarding/confirm-document"}]},{"group":"Partner Webhooks","pages":[{"group":"Subscriptions","pages":[{"title":"Create Partner Webhook Subscription","sidebarTitle":"Create","openapi":"POST /partner/webhooks/subscriptions","href":"/api-reference/partner-webhooks/create-subscription"},{"title":"List Partner Webhook Subscriptions","sidebarTitle":"List","openapi":"GET /partner/webhooks/subscriptions","href":"/api-reference/partner-webhooks/list-subscriptions"},{"title":"Update Partner Webhook Subscription","sidebarTitle":"Update","openapi":"PATCH /partner/webhooks/subscriptions/{subscription_id}","href":"/api-reference/partner-webhooks/update-subscription"},{"title":"Delete Partner Webhook Subscription","sidebarTitle":"Delete","openapi":"DELETE /partner/webhooks/subscriptions/{subscription_id}","href":"/api-reference/partner-webhooks/delete-subscription"},{"title":"Send Partner Test Event","sidebarTitle":"Send test event","openapi":"POST /partner/webhooks/subscriptions/{subscription_id}/test","href":"/api-reference/partner-webhooks/send-test-event"}]},{"group":"Deliveries","pages":[{"title":"List Partner Webhook Deliveries","sidebarTitle":"List deliveries","openapi":"GET /partner/webhooks/deliveries","href":"/api-reference/partner-webhooks/list-deliveries"},{"title":"List Partner Delivery Attempts","sidebarTitle":"List attempts","openapi":"GET /partner/webhooks/deliveries/{delivery_id}/attempts","href":"/api-reference/partner-webhooks/list-delivery-attempts"},{"title":"Redrive Partner Delivery","sidebarTitle":"Redrive","openapi":"POST /partner/webhooks/deliveries/{delivery_id}/redrive","href":"/api-reference/partner-webhooks/redrive-delivery"}]}]},{"group":"Webhooks","pages":[{"title":"Meow webhook event types and payload reference","sidebarTitle":"Event reference","href":"/api-reference/webhooks/events"},{"group":"Subscriptions","pages":[{"title":"Create Webhook Subscription","sidebarTitle":"Create","openapi":"POST /webhooks/subscriptions","href":"/api-reference/webhooks/create-subscription"},{"title":"List Webhook Subscriptions","sidebarTitle":"List subscriptions","openapi":"GET /webhooks/subscriptions","href":"/api-reference/webhooks/list-subscriptions"},{"title":"Update Webhook Subscription","sidebarTitle":"Update subscription","openapi":"PATCH /webhooks/subscriptions/{subscription_id}","href":"/api-reference/webhooks/update-subscription"},{"title":"Delete Webhook Subscription","sidebarTitle":"Delete subscription","openapi":"DELETE /webhooks/subscriptions/{subscription_id}","href":"/api-reference/webhooks/delete-subscription"},{"title":"Send Test Webhook Event","sidebarTitle":"Send test event","openapi":"POST /webhooks/subscriptions/{subscription_id}/test","href":"/api-reference/webhooks/send-tes
[...]
